%define RELEASE		769
%define VERSION		0.9
%define rel		alt7

%define TARNAME		NVIDIA_kernel
%define ver     	%VERSION.%RELEASE
%define kunamever	%(uname -r)
%define kver		%(echo "%kunamever"| awk -F'-' '{print $1}')
%define kbuild		%(echo "%kunamever"| awk -F'-' '{print $2}')
%define kncpu		%(echo "%kunamever"| awk -F'-' '{print $3}')
%define kpkgprfx	%(if echo "%kver"| grep '2.4.'>/dev/null; then echo "24"; fi)

Version: %ver
Release: %rel
Name: kernel-nvidia
Group: System/Kernel and hardware
Summary: NVIDIA kernel module for NVIDIA Architecture support
License: NVIDIA Corp. 2000
Source: ftp://ftp1.detonator.nvidia.com/pub/drivers/english/XFree86_40/%TARNAME-%VERSION-%RELEASE.tar.gz
NoSource: 0
Url: http://www.nvidia.com
Vendor: NVIDIA Corp.
Requires: kernel%kpkgprfx-%kncpu = %kver-%kbuild
Requires: rpm >= 3.0.4
BuildRequires: rpm >= 3.0.4

%description
NVIDIA Architecture support for Linux kernel 2.2.X and 2.4.X

%prep
%setup -q -n %TARNAME-%VERSION-%RELEASE

%build
make NVdriver

%install
    rm -f /tmp/files.lst

    if [ -z "$TOWHAT_KERNEL" ]; then
        export TOWHAT_KERNEL=`uname -r`
    fi

    if [ -d $RPM_ROOT/lib/modules/$TOWHAT_KERNEL/kernel ]; then
        INSTALLPATH=/lib/modules/$TOWHAT_KERNEL/kernel/drivers/video
    else
        INSTALLPATH=/lib/modules/$TOWHAT_KERNEL/video
    fi
    mkdir -p $RPM_BUILD_ROOT/$INSTALLPATH
    install -m 0444 NVdriver $RPM_BUILD_ROOT/$INSTALLPATH
    echo "%attr(444 root root) " $INSTALLPATH/NVdriver > /tmp/files.lst
    %set_strip_method none

%post
    /sbin/rmmod NVdriver >/dev/null 2>&1

    confmod="/etc/conf.modules"
    [ -f /etc/modules.conf ] && confmod="/etc/modules.conf"
    conftmp=/tmp/conf$$

    sed '/^alias.*char-major-.*NVdriver/d' < $confmod > $conftmp
    echo "alias char-major-195 NVdriver" >> $conftmp
    mv $conftmp $confmod

    /sbin/depmod -a
    exit 0

%preun
[ $1 = 0 ] && [ -n "`/sbin/lsmod | grep NVdriver`" ] && /sbin/rmmod NVdriver

%files -f /tmp/files.lst
%changelog
* Tue Jan 29 2002 Sergey V Turchin <zerg@altlinux.ru> 0.9.769-alt7
- removed requires to compat-gcc
- removed /dev/* form %%files

* Tue Jun 19 2001 Sergey V Turchin <zerg@altlinux.ru> 0.9.769-alt6
- fix requires for kernel

* Thu Jun 14 2001 Sergey V Turchin <zerg@altlinux.ru> 0.9.769-alt5
- clean spec

* Fri Jun 08 2001 Sergey V Turchin <zerg@altlinux.ru> 0.9.769-alt3
- fix requires

* Wed May 23 2001 Sergey V Turchin <zerg@altlinux.ru>
- first build
